/*
 * nlsop headers
 *
 * author: hackbard@hackdaworld.dyndns.org
 *
 */

#ifndef NLSOP_H
#define NLSOP_H

#ifndef _U32
#define _U32
typedef unsigned int u32;
#endif

typedef struct __info
{
 int cc,steps,range,diff_rate,cpi,s_rate;
 double s,b,c,dr_ac,dr_cc;
 char z_diff,c_diff;
} info;

#define AMORPH 1

#define X 64
#define Y 64
#define Z 233

#define STEPS 158671500
#define RANGE 5
#define REFRESH 100000
#define RESAVE 20000000

#define CC 0

#define DR_AC .5
#define DR_CC .2
#define DIFF_RATE 1000

#define S_D .00001
#define B_D .0
#define C_D .005

#define MAX_CHARS 128
#define MAX_TXT 32
#define MAX_ARGV 27

#define IMP_PROFILE "imp-profile.txt"
#define NEL_PROFILE "nel-profile.txt"

#define CELL_LENGTH 3 /* nm */

#define CPI 100

#define S_RATE ((2*3*STEPS)/100)
#define SI_PER_VOLUME (168*8)

#define FFT_HEIGHT 64

#endif /* NLSOP_H */
